/* $Id$
 * 
 *
 * */


/* include header files */
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <fcntl.h>
#include <string.h>


#ifndef AUTH_PASSWD
#  define AUTH_PASSWD  "/usr/local/fnord/htdocs/.auth-passwd"
#endif

#ifndef AUTH_DIRS
#  define  AUTH_DIRS   "/usr/local/fnord/htdocs/.auth-dirs"
#endif

#ifndef MAXLINE
#  define  MAXLINE   512
#endif

#define  AUTH_BASIC   0
#define  AUTH_DIGEST  1

/* forward declarations */

int   main(int, char**);
void  _err(char *, int);
char * readln(int, size_t);
size_t * raw_base64_decode(unsigned char *, unsigned char *);
